/*
**********************************************************************************************************************
*											        eGon
*						           the Embedded GO-ON Bootloader System
*									       eGON syscall sub-system
*
*						  Copyright(C), 2006-2010, SoftWinners Microelectronic Co., Ltd.
*                                           All Rights Reserved
*
* File    : syscall_define
*
* By      : Jerry
*
* Version : V2.00
*
* Date	   :
*
* Descript:
**********************************************************************************************************************
*/
#ifndef __SYSCALL_DEFINE_H_
#define __SYSCALL_DEFINE_H_	1

#define  EGON2_SWI_BASE                     0

#define  EGON2_SWI_FOR_TEST     			0x01
#define  EGON2_SWI_GET_PARA                 0x02    //
#define  EGON2_SWI_JUMP_TO                  0x03    //ת
#define  EGON2_SWI_JUMP_FEL                 0x04    //תFel
#define  EGON2_SWI_STANDBY					0x05    //standbyģʽ
#define  EGON2_SWI_JUMP_TO_LINUX			0x06	//linuxģʽ

//ûע/жжϵreg/unreg
//ʼݱ 0x20
#define  EGON2_SWI_IRQ_BASE                  0x20
#define  EGON2_SWI_IRQ_REG		            (EGON2_SWI_BASE + EGON2_SWI_IRQ_BASE + 0x00)
#define  EGON2_SWI_IRQ_UNREG		        (EGON2_SWI_BASE + EGON2_SWI_IRQ_BASE + 0x01)

#define  EGON2_SWI_ENABLE_IRQ		        (EGON2_SWI_BASE + EGON2_SWI_IRQ_BASE + 0x02)
#define  EGON2_SWI_DISABLE_IRQ	            (EGON2_SWI_BASE + EGON2_SWI_IRQ_BASE + 0x03)

//TWIӲ
#define  EGON2_SWI_TWI_BASE                  0x2A
#define  EGON2_SWI_TWI_READ                 (EGON2_SWI_BASE + EGON2_SWI_TWI_BASE + 0x00)
#define  EGON2_SWI_TWI_WRITE                (EGON2_SWI_BASE + EGON2_SWI_TWI_BASE + 0x01)
//#define  EGON2_SWI_TWI_INIT                 (EGON2_SWI_BASE + EGON2_SWI_TWI_BASE + 0x02)
//#define  EGON2_SWI_TWI_EXIT                 (EGON2_SWI_BASE + EGON2_SWI_TWI_BASE + 0x03)
//#define  EGON2_SWI_TWI_SETFREQ              (EGON2_SWI_BASE + EGON2_SWI_TWI_BASE + 0x04)
//ڴ
//ʼݱ 0x40
#define  EGON2_SWI_MEM_BASE                  0x30
#define  EGON2_SWI_MALLOC                   (EGON2_SWI_BASE + EGON2_SWI_MEM_BASE + 0x00)
#define  EGON2_SWI_CALLOC                   (EGON2_SWI_BASE + EGON2_SWI_MEM_BASE + 0x01)
#define  EGON2_SWI_REALLOC                  (EGON2_SWI_BASE + EGON2_SWI_MEM_BASE + 0x02)
#define  EGON2_SWI_FREE                     (EGON2_SWI_BASE + EGON2_SWI_MEM_BASE + 0x03)

//POWER
//ʼݱ 0x38
#define  EGON2_SWI_POWER_BASE                0x38
#define  EGON2_SWI_POWER_GET_SOURCE         (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x00)
#define  EGON2_SWI_POWER_GET_BAT_VOL        (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x01)
#define  EGON2_SWI_POWER_GET_KEY            (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x02)
#define  EGON2_SWI_POWER_CHECK_STARTUP      (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x03)
#define  EGON2_SWI_POWER_SET_SW1            (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x04)
#define  EGON2_SWI_POWER_SET_OFF            (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x05)
#define  EGON2_SWI_POWER_GET_LEVEL_STATUS   (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x06)
#define  EGON2_SWI_POWER_SET_OFF_VOL	    (EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x07)
#define  EGON2_SWI_POWER_BATTERY_CAL		(EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x08)
#define  EGON2_SWI_POWER_CUR_LIMIT			(EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x09)
#define  EGON2_SWI_POWER_VOL_LIMIT			(EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x0A)
#define  EGON2_SWI_POWER_TYPE				(EGON2_SWI_BASE + EGON2_SWI_POWER_BASE + 0x0B)

//Խӿڣʼ
#define  EGON2_SWI_DEBUG_BASE               0x4A
#define  EGON2_SWI_UART_NTDEBUG				(EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE - 0x01)
#define  EGON2_SWI_UART_DEBUG			    (EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x00)
#define  EGON2_SWI_DISPLAY_DEBUG            (EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x01)
#define  EGON2_SWI_UART_GETC                (EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x02)
#define  EGON2_SWI_UART_GETS                (EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x03)
#define  EGON2_SWI_UART_PUTC                (EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x04)
#define  EGON2_SWI_UART_GETC_DELAY			(EGON2_SWI_BASE + EGON2_SWI_DEBUG_BASE + 0x05)
//--------------------------------------------------------------------
//  drv    200~299
//--------------------------------------------------------------------
//ʼݱ 0x50
#define  EGON2_SWI_DRV_BASE                 0x50
#define  EGON2_SWI_DRV_REG			        (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x00)
#define  EGON2_SWI_DRV_UNREG			    (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x01)
#define  EGON2_SWI_DRV_OPEN			        (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x02)
#define  EGON2_SWI_DRV_CLOSE			    (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x03)
#define  EGON2_SWI_DRV_READ			        (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x04)
#define  EGON2_SWI_DRV_WRITE			    (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x05)
#define  EGON2_SWI_DRV_IOCTL			    (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x06)

#define  EGON2_SWI_RUN_APP                  (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x07)
//ڷʹõΪûṩıͨͬʱָٶ
#define  EGON2_SWI_BLOCK_SIZE				(EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x08)

#define  EGON2_SWI_BLOCK_DEV_INIT           (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x09)
#define  EGON2_SWI_BLOCK_DEV_READ           (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x0a)
#define  EGON2_SWI_BLOCK_DEV_WRITE          (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x0b)
#define  EGON2_SWI_BLOCK_DEV_EXIT           (EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x0c)

#define  EGON2_SWI_BLOCK_DDEV_READ			(EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x0d)
#define  EGON2_SWI_BLOCK_DDEV_WRITE			(EGON2_SWI_BASE + EGON2_SWI_DRV_BASE + 0x0e)
//ļ ʼݱ 0x60
#define  EGON2_SWI_FS_BASE                  0x60
#define  EGON2_SWI_FS_OPEN			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x00)
#define  EGON2_SWI_FS_READ			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x01)
#define  EGON2_SWI_FS_WRITE			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x02)
#define  EGON2_SWI_FS_TELL			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x03)
#define  EGON2_SWI_FS_LEN			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x04)
#define  EGON2_SWI_FS_SEEK			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x05)
#define  EGON2_SWI_FS_EOF			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x07)
#define  EGON2_SWI_FS_CLOSE			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x08)
#define  EGON2_SWI_FS_RM			        (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x09)

#define  EGON2_SWI_PART_MOUNT               (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0a)
#define  EGON2_SWI_PART_UNMOUNT             (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0b)
#define  EGON2_SWI_PART_INFO                (EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0c)
#define  EGON2_SWI_PART_COUNT				(EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0d)
#define  EGON2_SWI_PART_START				(EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0e)
#define  EGON2_SWI_PART_CAPACITY			(EGON2_SWI_BASE + EGON2_SWI_FS_BASE + 0x0f)

//Ŀ¼ ʼݱ 0x70
#define  EGON2_SWI_DIR_BASE                  0x70
#define  EGON2_SWI_DIR_OPEN			        (EGON2_SWI_BASE + EGON2_SWI_DIR_BASE + 0x00)
#define  EGON2_SWI_DIR_CLOSE		        (EGON2_SWI_BASE + EGON2_SWI_DIR_BASE + 0x01)
#define  EGON2_SWI_DIR_MAKE			        (EGON2_SWI_BASE + EGON2_SWI_DIR_BASE + 0x02)
#define  EGON2_SWI_DIR_ERASE    	        (EGON2_SWI_BASE + EGON2_SWI_DIR_BASE + 0x03)
#define  EGON2_SWI_DIR_READ    	            (EGON2_SWI_BASE + EGON2_SWI_DIR_BASE + 0x04)
//--------------------------------------------------------------------
//  timer 
//--------------------------------------------------------------------
//ʼݱ 0x80
#define  EGON2_SWI_TIMER_BASE               0x80
#define  EGON2_SWI_TIMER_REQ		        (EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x00)
#define  EGON2_SWI_TIMER_REL		        (EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x01)
#define  EGON2_SWI_TIMER_START		        (EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x02)
#define  EGON2_SWI_TIMER_STOP               (EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x03)
#define  EGON2_SWI_SYSTEM_RESET				(EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x04)
#define  EGON2_SWI_TIMER_DELAY				(EGON2_SWI_BASE + EGON2_SWI_TIMER_BASE + 0x05)
//--------------------------------------------------------------------
//  dma 
//--------------------------------------------------------------------
//ʼݱ 0x90
#define  EGON2_SWI_DMA_BASE                 0x90
#define  EGON2_SWI_DMA_REQ		            (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x00)
#define  EGON2_SWI_DMA_REL		            (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x01)
#define  EGON2_SWI_DMA_START		        (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x02)
#define  EGON2_SWI_DMA_STOP 		        (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x03)
#define  EGON2_SWI_DMA_SETTING 		        (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x04)
#define  EGON2_SWI_DMA_RESTART 		        (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x05)
#define  EGON2_SWI_DMA_QUERYSTATE 	        (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x06)
#define  EGON2_SWI_DMA_QUERYCHAN            (EGON2_SWI_BASE + EGON2_SWI_DMA_BASE + 0x07)
//--------------------------------------------------------------------
//  clock 
//--------------------------------------------------------------------
//ʼݱ 0xA0
#define  EGON2_SWI_CLOCK_BASE				0xA0
#define  EGON2_SWI_CLOCK					(EGON2_SWI_BASE + EGON2_SWI_CLOCK_BASE + 0x00)
//--------------------------------------------------------------------
//  key 
//--------------------------------------------------------------------
//ʼݱ 0xA8
#define  EGON2_SWI_KEY_BASE				    0xA8
#define  EGON2_SWI_KEY_GET_STATUS    		(EGON2_SWI_BASE + EGON2_SWI_KEY_BASE + 0x00)
#define  EGON2_SWI_KEY_GET_VALUE    		(EGON2_SWI_BASE + EGON2_SWI_KEY_BASE + 0x01)
//--------------------------------------------------------------------
//  ýű 
//--------------------------------------------------------------------
//ʼݱ 0xB0
#define  EGON2_SWI_SCRIPT_BASE					0xB0
#define  EGON2_SWI_SCRIPT_FETCH					(EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x00)
#define  EGON2_SWI_SCRIPT_SUBKEY_COUNT			(EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x01)
#define  EGON2_SWI_SCRIPT_MAINKEY_COUNT			(EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x02)
#define  EGON2_SWI_SCRIPT_MAINKEY_GPIO_COUNT	(EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x03)
#define  EGON2_SWI_SCRIPT_MAINKEY_GPIO_DATA		(EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x04)
#define  EGON2_SWI_SCRIPT_PATCH		            (EGON2_SWI_BASE + EGON2_SWI_SCRIPT_BASE + 0x05)
//--------------------------------------------------------------------
//  GPIO 
//--------------------------------------------------------------------
//ʼݱ 0xC0
#define  EGON2_SWI_GPIO_BASE					0xC0
#define  EGON2_SWI_GPIO_REQUEST					(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x00)
#define  EGON2_SWI_GPIO_RELEASE					(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x01)
#define  EGON2_SWI_GPIO_GET_ALL_PIN_STATUS		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x02)
#define  EGON2_SWI_GPIO_GET_ONE_PIN_STATUS		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x03)
#define  EGON2_SWI_GPIO_SET_ONE_PIN_STATUS		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x04)
#define  EGON2_SWI_GPIO_SET_ONE_PIN_IO			(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x05)
#define  EGON2_SWI_GPIO_SET_ONE_PIN_PULL		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x06)
#define  EGON2_SWI_GPIO_SET_ONE_PIN_DLEVEL		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x07)
#define  EGON2_SWI_GPIO_SET_ONE_PIN_DATA		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x08)
#define  EGON2_SWI_GPIO_GET_ONE_PIN_DATA		(EGON2_SWI_BASE + EGON2_SWI_GPIO_BASE + 0x09)


#endif  /*#ifndef __SYSCALL_DEFINE_H_*/


